<?php
/**
*
* @package acp - Post Replace
* @version 1.0.0
* @copyright (c) 2011 by Dakin Quelia
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* @package acp
*/
class acp_post_replace
{
	var $u_action;

	function main($id, $mode)
	{
		global $db, $user, $auth, $template, $cache;
		global $config, $phpbb_root_path, $phpbb_admin_path, $phpEx;

		// Set up general vars
		$submit = isset($_POST['submit']) ? true : false;

		$str_old = utf8_normalize_nfc(request_var('string_search', '', true));
		$str_new = utf8_normalize_nfc(request_var('string_replace', '', true));

		$this->tpl_name = 'acp_post_replace';
		$this->page_title = 'ACP_POST_REPLACE';

		$form_key = 'acp_post_replace';
		add_form_key($form_key);

		// Check if the user is allowed to manage these strings.
		if ($user->data['user_type'] != USER_FOUNDER)
		{
			trigger_error($user->lang['NOT_ALLOWED_STRING_MANAGE'], E_USER_WARNING);
		}

		if ($submit && !check_form_key($form_key))
		{
			trigger_error($user->lang['FORM_INVALID'] . adm_back_link($this->u_action), E_USER_WARNING);
		}

		$data = array('string_search' => $str_old, 'string_replace' => $str_new);

		if ($submit)
		{
			$data['string_search'] = $db->sql_escape($data['string_search']);
			$data['string_replace'] = $db->sql_escape($data['string_replace']);

			// Checking fields are empty
			if (empty($data['string_search']) || empty($data['string_replace']))
			{
				trigger_error($user->lang['STRING_FIELDS_EMPTY'] . adm_back_link($this->u_action), E_USER_WARNING);
			}

			// Checking similary content
			if ($data['string_search'] == $data['string_replace'])
			{
				trigger_error($user->lang['STRING_FIELDS_SIMILARY'] . adm_back_link($this->u_action), E_USER_WARNING);
			}

			$sql = 'UPDATE ' . POSTS_TABLE . ' SET post_text = REPLACE(post_text, \'' . $data['string_search'] . '\', \'' . $data['string_replace'] . '\')
					WHERE post_text ' . $db->sql_like_expression($db->any_char . $data['string_search'] . $db->any_char);
			$db->sql_query($sql);

			add_log('admin', 'LOG_STRING_UPDATED');
			trigger_error($user->lang['LOG_STRING_UPDATED'] . adm_back_link($this->u_action));
		}

		$template->assign_vars(array(		
			'U_ACTION' 			=> $this->u_action,
			'U_BACK' 			=> $this->u_action,

			'STRING_SEARCH' 	=> $data['string_search'],
			'STRING_REPLACE' 	=> $data['string_replace'],
		));
	}
}
